<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Liquid Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d81/class_liquid.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">Liquid Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:aec428b558c91acc948a2033758f30f31"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#aec428b558c91acc948a2033758f30f31">GetLiquidClassname</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> liquid_type)</td></tr>
<tr class="separator:aec428b558c91acc948a2033758f30f31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ebab34d0bebb0150ea24f54f6cf3d5e"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#a1ebab34d0bebb0150ea24f54f6cf3d5e">InitAllLiquids</a> ()</td></tr>
<tr class="separator:a1ebab34d0bebb0150ea24f54f6cf3d5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b71f0bfb906b05c1e1ee98fe9278604"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#a3b71f0bfb906b05c1e1ee98fe9278604">Transfer</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> source_ent, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> target_ent, <a class="el" href="../../d4/dc3/classfloat.html">float</a> quantity=-1)</td></tr>
<tr class="separator:a3b71f0bfb906b05c1e1ee98fe9278604"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4feb09d06d7d018b0b1f3f67e187193"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#ae4feb09d06d7d018b0b1f3f67e187193">CanTransfer</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> source_ent, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> target_ent)</td></tr>
<tr class="separator:ae4feb09d06d7d018b0b1f3f67e187193"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e5cc86b20bd1c0aef67057c66c42775"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#a9e5cc86b20bd1c0aef67057c66c42775">FillContainer</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> container, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> liquid_type, <a class="el" href="../../d4/dc3/classfloat.html">float</a> amount)</td></tr>
<tr class="separator:a9e5cc86b20bd1c0aef67057c66c42775"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56ac8aaa3efbd57bdefa37fdb2fb91d7"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#a56ac8aaa3efbd57bdefa37fdb2fb91d7">FillContainerEnviro</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> container, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> liquid_type, <a class="el" href="../../d4/dc3/classfloat.html">float</a> amount, <a class="el" href="../../d9/db9/classbool.html">bool</a> inject_agents=false)</td></tr>
<tr class="separator:a56ac8aaa3efbd57bdefa37fdb2fb91d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abac69444e7428359a00dcb6e58c85031"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#abac69444e7428359a00dcb6e58c85031">CanFillContainer</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> container, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> liquid_type, <a class="el" href="../../d9/db9/classbool.html">bool</a> ignore_fullness_check=false)</td></tr>
<tr class="separator:abac69444e7428359a00dcb6e58c85031"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace86f44324edaf244446cf01dd0df660"><td class="memItemLeft" align="right" valign="top">static private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#ace86f44324edaf244446cf01dd0df660">GetLiquidConfigProperty</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> liquid_type, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> property_name, <a class="el" href="../../d9/db9/classbool.html">bool</a> is_nutrition_property=false)</td></tr>
<tr class="separator:ace86f44324edaf244446cf01dd0df660"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a8299080b7ed6feae23add78e4e260c"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#a4a8299080b7ed6feae23add78e4e260c">GetNutritionalProfileByType</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> liquid_type)</td></tr>
<tr class="separator:a4a8299080b7ed6feae23add78e4e260c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad324b19a1d242faa33b2cc478890fffe"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#ad324b19a1d242faa33b2cc478890fffe">GetNutritionalProfileByName</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../d1/db8/_option_selector_multistate_8c.html#a6e64693a765afc8a0b5442acfb2ba262">class_name</a>)</td></tr>
<tr class="separator:ad324b19a1d242faa33b2cc478890fffe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63c6f95e72c5b3a0dab9b3865da91e5b"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#a63c6f95e72c5b3a0dab9b3865da91e5b">SetUpNutritionalProfile</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> liquid_type, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> liquid_class_name)</td></tr>
<tr class="separator:a63c6f95e72c5b3a0dab9b3865da91e5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c506e7096bee1dbb4c6338fe3fdaaec"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#a6c506e7096bee1dbb4c6338fe3fdaaec">GetAgents</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> liquid_type)</td></tr>
<tr class="separator:a6c506e7096bee1dbb4c6338fe3fdaaec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2944d3a3bc7029e4c2d9d1c96a80d10a"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#a2944d3a3bc7029e4c2d9d1c96a80d10a">GetToxicity</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> liquid_type)</td></tr>
<tr class="separator:a2944d3a3bc7029e4c2d9d1c96a80d10a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5961bbbca1f511aaa62e7aa7e4fcf029"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#a5961bbbca1f511aaa62e7aa7e4fcf029">GetWaterContent</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> liquid_type)</td></tr>
<tr class="separator:a5961bbbca1f511aaa62e7aa7e4fcf029"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9f28e8eb877042825e1a7f1530b35c0"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#ab9f28e8eb877042825e1a7f1530b35c0">GetEnergy</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> liquid_type)</td></tr>
<tr class="separator:ab9f28e8eb877042825e1a7f1530b35c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08be166e0a54ae8781f87cbbd192db96"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#a08be166e0a54ae8781f87cbbd192db96">GetNutritionalIndex</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> liquid_type)</td></tr>
<tr class="separator:a08be166e0a54ae8781f87cbbd192db96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1233ec4a87407e853858a4d282d1f5f"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#ac1233ec4a87407e853858a4d282d1f5f">GetName</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> liquid_type)</td></tr>
<tr class="separator:ac1233ec4a87407e853858a4d282d1f5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d29e16ae9defd03ef0fe9b5c7478bb9"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#a4d29e16ae9defd03ef0fe9b5c7478bb9">GetFlammability</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> liquid_type)</td></tr>
<tr class="separator:a4d29e16ae9defd03ef0fe9b5c7478bb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52a2f8f01c1c72e05ee0d95ea195ad0f"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#a52a2f8f01c1c72e05ee0d95ea195ad0f">GetFullness</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> liquid_type)</td></tr>
<tr class="separator:a52a2f8f01c1c72e05ee0d95ea195ad0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7768ab5b5c1a1fb1b27f27d49022465"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#ae7768ab5b5c1a1fb1b27f27d49022465">GetDigestibility</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> liquid_type)</td></tr>
<tr class="separator:ae7768ab5b5c1a1fb1b27f27d49022465"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:acb28f2352d1b81486fff873377cba59f"><td class="memItemLeft" align="right" valign="top">static ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, ref <a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#acb28f2352d1b81486fff873377cba59f">m_AllLiquidsByType</a> = new <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, ref <a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a>&gt;</td></tr>
<tr class="separator:acb28f2352d1b81486fff873377cba59f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3eea643b98b9001434d604c73706a37"><td class="memItemLeft" align="right" valign="top">static ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, ref <a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#aa3eea643b98b9001434d604c73706a37">m_AllLiquidsByName</a> = new <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, ref <a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a>&gt;</td></tr>
<tr class="separator:aa3eea643b98b9001434d604c73706a37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4f6a0296ac2245529eedb07118256e7"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/class_liquid.html#aa4f6a0296ac2245529eedb07118256e7">m_Init</a> = <a class="el" href="../../db/d81/class_liquid.html#a1ebab34d0bebb0150ea24f54f6cf3d5e">InitAllLiquids</a>()</td></tr>
<tr class="separator:aa4f6a0296ac2245529eedb07118256e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00001">1</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="abac69444e7428359a00dcb6e58c85031" name="abac69444e7428359a00dcb6e58c85031"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abac69444e7428359a00dcb6e58c85031">&#9670;&#160;</a></span>CanFillContainer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/db9/classbool.html">bool</a> Liquid::CanFillContainer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>container</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>liquid_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>ignore_fullness_check</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00148">148</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="ae4feb09d06d7d018b0b1f3f67e187193" name="ae4feb09d06d7d018b0b1f3f67e187193"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4feb09d06d7d018b0b1f3f67e187193">&#9670;&#160;</a></span>CanTransfer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/db9/classbool.html">bool</a> Liquid::CanTransfer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>source_ent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>target_ent</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00084">84</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="a9e5cc86b20bd1c0aef67057c66c42775" name="a9e5cc86b20bd1c0aef67057c66c42775"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e5cc86b20bd1c0aef67057c66c42775">&#9670;&#160;</a></span>FillContainer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Liquid::FillContainer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>container</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>liquid_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>amount</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00126">126</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="a56ac8aaa3efbd57bdefa37fdb2fb91d7" name="a56ac8aaa3efbd57bdefa37fdb2fb91d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56ac8aaa3efbd57bdefa37fdb2fb91d7">&#9670;&#160;</a></span>FillContainerEnviro()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Liquid::FillContainerEnviro </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>container</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>liquid_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>amount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>inject_agents</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00138">138</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="a6c506e7096bee1dbb4c6338fe3fdaaec" name="a6c506e7096bee1dbb4c6338fe3fdaaec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c506e7096bee1dbb4c6338fe3fdaaec">&#9670;&#160;</a></span>GetAgents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Liquid::GetAgents </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>liquid_type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00241">241</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="ae7768ab5b5c1a1fb1b27f27d49022465" name="ae7768ab5b5c1a1fb1b27f27d49022465"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7768ab5b5c1a1fb1b27f27d49022465">&#9670;&#160;</a></span>GetDigestibility()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Liquid::GetDigestibility </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>liquid_type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00281">281</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="ab9f28e8eb877042825e1a7f1530b35c0" name="ab9f28e8eb877042825e1a7f1530b35c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9f28e8eb877042825e1a7f1530b35c0">&#9670;&#160;</a></span>GetEnergy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Liquid::GetEnergy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>liquid_type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00256">256</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="a4d29e16ae9defd03ef0fe9b5c7478bb9" name="a4d29e16ae9defd03ef0fe9b5c7478bb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d29e16ae9defd03ef0fe9b5c7478bb9">&#9670;&#160;</a></span>GetFlammability()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Liquid::GetFlammability </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>liquid_type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00271">271</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="a52a2f8f01c1c72e05ee0d95ea195ad0f" name="a52a2f8f01c1c72e05ee0d95ea195ad0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52a2f8f01c1c72e05ee0d95ea195ad0f">&#9670;&#160;</a></span>GetFullness()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Liquid::GetFullness </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>liquid_type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00276">276</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="aec428b558c91acc948a2033758f30f31" name="aec428b558c91acc948a2033758f30f31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec428b558c91acc948a2033758f30f31">&#9670;&#160;</a></span>GetLiquidClassname()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Liquid::GetLiquidClassname </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>liquid_type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00008">8</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="ace86f44324edaf244446cf01dd0df660" name="ace86f44324edaf244446cf01dd0df660"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace86f44324edaf244446cf01dd0df660">&#9670;&#160;</a></span>GetLiquidConfigProperty()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Liquid::GetLiquidConfigProperty </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>liquid_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>property_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>is_nutrition_property</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00187">187</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="ac1233ec4a87407e853858a4d282d1f5f" name="ac1233ec4a87407e853858a4d282d1f5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1233ec4a87407e853858a4d282d1f5f">&#9670;&#160;</a></span>GetName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Liquid::GetName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>liquid_type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00266">266</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="a08be166e0a54ae8781f87cbbd192db96" name="a08be166e0a54ae8781f87cbbd192db96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08be166e0a54ae8781f87cbbd192db96">&#9670;&#160;</a></span>GetNutritionalIndex()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Liquid::GetNutritionalIndex </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>liquid_type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00261">261</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="ad324b19a1d242faa33b2cc478890fffe" name="ad324b19a1d242faa33b2cc478890fffe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad324b19a1d242faa33b2cc478890fffe">&#9670;&#160;</a></span>GetNutritionalProfileByName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a> Liquid::GetNutritionalProfileByName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>class_name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00222">222</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="a4a8299080b7ed6feae23add78e4e260c" name="a4a8299080b7ed6feae23add78e4e260c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a8299080b7ed6feae23add78e4e260c">&#9670;&#160;</a></span>GetNutritionalProfileByType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a> Liquid::GetNutritionalProfileByType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>liquid_type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00217">217</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="a2944d3a3bc7029e4c2d9d1c96a80d10a" name="a2944d3a3bc7029e4c2d9d1c96a80d10a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2944d3a3bc7029e4c2d9d1c96a80d10a">&#9670;&#160;</a></span>GetToxicity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Liquid::GetToxicity </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>liquid_type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00246">246</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="a5961bbbca1f511aaa62e7aa7e4fcf029" name="a5961bbbca1f511aaa62e7aa7e4fcf029"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5961bbbca1f511aaa62e7aa7e4fcf029">&#9670;&#160;</a></span>GetWaterContent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Liquid::GetWaterContent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>liquid_type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00251">251</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="a1ebab34d0bebb0150ea24f54f6cf3d5e" name="a1ebab34d0bebb0150ea24f54f6cf3d5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ebab34d0bebb0150ea24f54f6cf3d5e">&#9670;&#160;</a></span>InitAllLiquids()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/db9/classbool.html">bool</a> Liquid::InitAllLiquids </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00019">19</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="a63c6f95e72c5b3a0dab9b3865da91e5b" name="a63c6f95e72c5b3a0dab9b3865da91e5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63c6f95e72c5b3a0dab9b3865da91e5b">&#9670;&#160;</a></span>SetUpNutritionalProfile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a> Liquid::SetUpNutritionalProfile </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>liquid_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>liquid_class_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00227">227</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="a3b71f0bfb906b05c1e1ee98fe9278604" name="a3b71f0bfb906b05c1e1ee98fe9278604"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b71f0bfb906b05c1e1ee98fe9278604">&#9670;&#160;</a></span>Transfer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Liquid::Transfer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>source_ent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>target_ent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>quantity</em> = <code>-1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00039">39</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aa3eea643b98b9001434d604c73706a37" name="aa3eea643b98b9001434d604c73706a37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3eea643b98b9001434d604c73706a37">&#9670;&#160;</a></span>m_AllLiquidsByName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, ref <a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a>&gt; Liquid::m_AllLiquidsByName = new <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, ref <a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a>&gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00004">4</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="acb28f2352d1b81486fff873377cba59f" name="acb28f2352d1b81486fff873377cba59f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb28f2352d1b81486fff873377cba59f">&#9670;&#160;</a></span>m_AllLiquidsByType</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, ref <a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a>&gt; Liquid::m_AllLiquidsByType = new <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, ref <a class="el" href="../../d5/de5/class_nutritional_profile.html">NutritionalProfile</a>&gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00003">3</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<a id="aa4f6a0296ac2245529eedb07118256e7" name="aa4f6a0296ac2245529eedb07118256e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4f6a0296ac2245529eedb07118256e7">&#9670;&#160;</a></span>m_Init</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> Liquid::m_Init = <a class="el" href="../../db/d81/class_liquid.html#a1ebab34d0bebb0150ea24f54f6cf3d5e">InitAllLiquids</a>()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dfb/_liquid_8c_source.html#l00006">6</a> of file <a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Static/<a class="el" href="../../d5/dfb/_liquid_8c_source.html">Liquid.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../db/d81/class_liquid.html">Liquid</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
